package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmLnMstHdrBean extends BaseHeaderBean implements Serializable {
  private String chartNameId;
  
  private String loanCodeId;
  
  private String loanCode;
  
  private String loanName;
  
  private String interestTaxRebate;
  
  private String typeOfInterest;
  
  private String repaymentUnits;
  
  private String settledAutoFrmSalary;
  
  private String principalTaxRebate;
  
  private String chartName;
  
  private String penaltyPercInterest;
  
  private String natureOfPayment;
  
  public String getLoanCode() {
    return this.loanCode;
  }
  
  public void setLoanCode(String newLoanCode) {
    this.loanCode = newLoanCode;
  }
  
  public String getLoanName() {
    return this.loanName;
  }
  
  public void setLoanName(String newLoanName) {
    this.loanName = newLoanName;
  }
  
  public String getInterestTaxRebate() {
    return this.interestTaxRebate;
  }
  
  public void setInterestTaxRebate(String newInterestTaxRebate) {
    this.interestTaxRebate = newInterestTaxRebate;
  }
  
  public String getTypeOfInterest() {
    return this.typeOfInterest;
  }
  
  public void setTypeOfInterest(String newTypeOfInterest) {
    this.typeOfInterest = newTypeOfInterest;
  }
  
  public String getRepaymentUnits() {
    return this.repaymentUnits;
  }
  
  public void setRepaymentUnits(String newRepaymentUnits) {
    this.repaymentUnits = newRepaymentUnits;
  }
  
  public String getSettledAutoFrmSalary() {
    return this.settledAutoFrmSalary;
  }
  
  public void setSettledAutoFrmSalary(String newSettledAutoFrmSalary) {
    this.settledAutoFrmSalary = newSettledAutoFrmSalary;
  }
  
  public String getPrincipalTaxRebate() {
    return this.principalTaxRebate;
  }
  
  public void setPrincipalTaxRebate(String newPrincipalTaxRebate) {
    this.principalTaxRebate = newPrincipalTaxRebate;
  }
  
  public String getChartName() {
    return this.chartName;
  }
  
  public void setChartName(String newChartName) {
    this.chartName = newChartName;
  }
  
  public String getPenaltyPercInterest() {
    return this.penaltyPercInterest;
  }
  
  public void setPenaltyPercInterest(String newPenaltyPercInterest) {
    this.penaltyPercInterest = newPenaltyPercInterest;
  }
  
  public String getNatureOfPayment() {
    return this.natureOfPayment;
  }
  
  public void setNatureOfPayment(String newNatureOfPayment) {
    this.natureOfPayment = newNatureOfPayment;
  }
  
  public String getChartNameId() {
    return this.chartNameId;
  }
  
  public void setChartNameId(String newChartNameId) {
    this.chartNameId = newChartNameId;
  }
  
  public String getLoanCodeId() {
    return this.loanCodeId;
  }
  
  public void setLoanCodeId(String newLoanCodeId) {
    this.loanCodeId = newLoanCodeId;
  }
}
